## sdlip.helpers
Class ServerDaslTransport

    java.lang.Object
      |
      +--sdlip.helpers.ServerDaslTransport

All Implemented Interfaces:
  HTTPCallback

public class ServerDaslTransport
extends java.lang.Object
implements HTTPCallback

Constructor Summary
`ServerDaslTransport()`
`ServerDaslTransport(int port)`
`ServerDaslTransport(int port, java.lang.Object lsp)`
`ServerDaslTransport(int port, java.lang.String lspPath, java.lang.Object lsp)`
`ServerDaslTransport(java.lang.Object lsp)`

Method Summary
`void` `addLSP(java.lang.Object lsp)`
`void` `addLSP(java.lang.String lspPath, java.lang.Object lsp)`
`java.lang.Object` `getLSP(java.lang.String lspPath)`
`void` `process(java.net.Socket socket, java.io.InputStream in, java.io.OutputStream out)`
`void` `setDBG(DBG dbg)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServerDaslTransport

    public ServerDaslTransport(int port)

### ServerDaslTransport

    public ServerDaslTransport()

### ServerDaslTransport

    public ServerDaslTransport(int port,
                               java.lang.String lspPath,
                               java.lang.Object lsp)
                        throws java.io.IOException

### ServerDaslTransport

    public ServerDaslTransport(int port,
                               java.lang.Object lsp)
                        throws java.io.IOException

### ServerDaslTransport

    public ServerDaslTransport(java.lang.Object lsp)
                        throws java.io.IOException

Method Detail

### setDBG

    public void setDBG(DBG dbg)

### addLSP

    public void addLSP(java.lang.Object lsp)
                throws java.io.IOException

    `java.io.IOException`

### addLSP

    public void addLSP(java.lang.String lspPath,
                       java.lang.Object lsp)
                throws java.io.IOException

    `java.io.IOException`

### getLSP

    public java.lang.Object getLSP(java.lang.String lspPath)

### process

    public void process(java.net.Socket socket,
                        java.io.InputStream in,
                        java.io.OutputStream out)
                 throws java.lang.Exception

  Specified by:
    `process` in interface `HTTPCallback`
    `java.lang.Exception`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`